<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Soprano.Query</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Soprano.Query Namespace Reference</h1>
<code>from PyKDE4.soprano.Soprano.Query import *</code>
<p>
<h2>Detailed Description</h2>

<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj179966060">QueryLanguage</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;QueryLanguageNone, QueryLanguageSparql, QueryLanguageRdql, QueryLanguageSerql, QueryLanguageUser, QUERY_LANGUAGE_NONE, QUERY_LANGUAGE_SPARQL, QUERY_LANGUAGE_RDQL, QUERY_LANGUAGE_SERQL, QUERY_LANGUAGE_USER&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Query.QueryLanguage&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195425420">queryLanguageFromString</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> queryLanguage)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178732396">queryLanguageToString</a> (Soprano.Query.QueryLanguage lang, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userQueryLanguage=QString())</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj179966060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">QueryLanguage</td>
</tr>
</table>
</div>
<div class="memdoc"><p>%Soprano defines a set of well-known query languages that can be used to serialize queries.
Additional languages may be supported using Query.QueryLanguageUser in combination with
string codes.
</p>
<p>
\sa Model.executeQuery, Query.Parser, Query.Serializer
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>QueryLanguageNone</em>&nbsp;=&nbsp;0x0<p>No query language
< p></td><td><tr><td valign="top"><em>QueryLanguageSparql</em>&nbsp;=&nbsp;0x1<p>The SPARQL query language: http:  www.w3.org TR rdf-sparql-query 
< p></td><td><tr><td valign="top"><em>QueryLanguageRdql</em>&nbsp;=&nbsp;0x2<p>The RDQL RDF query language: http:  www.w3.org Submission 2004 SUBM-RDQL-20040109 
< p></td><td><tr><td valign="top"><em>QueryLanguageSerql</em>&nbsp;=&nbsp;0x4<p>Sesame RDF %Query Language: http:  openrdf.org doc sesame2 users ch05.html
< p></td><td><tr><td valign="top"><em>QueryLanguageUser</em>&nbsp;=&nbsp;0x1000<p>The user type can be used to introduce unknown query lanaguages by name
< p></td><td><tr><td valign="top"><em>QUERY_LANGUAGE_NONE</em>&nbsp;=&nbsp;QueryLanguageNone<p><dl class="deprecated" compact><dt><b>Deprecated:< b>< dt><dd> use QueryLanguageNone
< dd>< dl>
< p></td><td><tr><td valign="top"><em>QUERY_LANGUAGE_SPARQL</em>&nbsp;=&nbsp;QueryLanguageSparql<p><dl class="deprecated" compact><dt><b>Deprecated:< b>< dt><dd> use QueryLanguageSparql
< dd>< dl>
< p></td><td><tr><td valign="top"><em>QUERY_LANGUAGE_RDQL</em>&nbsp;=&nbsp;QueryLanguageRdql<p><dl class="deprecated" compact><dt><b>Deprecated:< b>< dt><dd> use QueryLanguageRdql
< dd>< dl>
< p></td><td><tr><td valign="top"><em>QUERY_LANGUAGE_SERQL</em>&nbsp;=&nbsp;QueryLanguageSerql<p><dl class="deprecated" compact><dt><b>Deprecated:< b>< dt><dd> use QueryLanguageSerql
< dd>< dl>
< p></td><td><tr><td valign="top"><em>QUERY_LANGUAGE_USER</em>&nbsp;=&nbsp;QueryLanguageUser<p><dl class="deprecated" compact><dt><b>Deprecated:< b>< dt><dd> use QueryLanguageUser
< dd>< dl>
< p></td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj195425420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Query.QueryLanguage queryLanguageFromString</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>queryLanguage</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convert a query language string into a Soprano.Query.QueryLanguage value.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>queryLanguage</em>&nbsp;</td><td> The query language string to convert.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The QueryLanguage value corresponding to <b>queryLanguage</b> or Soprano.Query.QueryLanguageUser if it is unknown.
</dd></dl>
</p></div></div><a class="anchor" name="obj178732396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> queryLanguageToString</td>
<td>(</td>
<td class="paramtype">Soprano.Query.QueryLanguage&nbsp;</td>
<td class="paramname"><em>lang</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userQueryLanguage=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convert a Soprano.Query.QueryLanguage value into a string representation.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>lang</em>&nbsp;</td><td> The query language to convert
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userQueryLanguage</em>&nbsp;</td><td> If <b>lang</b> equals Query.QueryLanguageUser,
<b>userQueryLanguage</b> defines the language to use.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A string representation of <b>lang.</b> If <b>lang</b> equals Soprano.Query.QueryLanguageUser, the method
simply returns <b>userQueryLanguage.</b>
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
